Subject: Re: cygwin 1.3.6-3 and xemacs
From: "Ryan T. Sammartino" <[email-masked]>
To: David Rothenberger <[email-masked]>
Cc: [email-masked]
Date: Thu, 6 Dec 2001 12:35:38 -0800

On Thu, Dec 06, 2001 at 11:46:43AM -0800, David Rothenberger wrote:
> I've done a little debugging and here's what I've found out.
> 
> It appears to be a problem/change to the behavior of
> cygwin_posix_to_win32_path_list().  When this function is called with a
> path of the form "/cygdrive/z/something", it returns an empty string
> unless the drive "z" actually exists.  This seems incorrect to me, since
> this function always returns a valid Windows path for other POSIX paths,
> even if the file or directory doesn't actually exist.
> 
> Even more troubling, the function appears to return garbage when called
> with "/cygdrive/z" or "/cygdrive/z/", unless "z" is a valid drive.
>

I dunno if that is related to the problem I'm having.  I'm trying to
open a file like ~/project/foo, and ~/project is a symlink to
/cygdrive/d/project, and drive D certainly exists for me.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/